Subject: Re: bug#51176: eww switch buffer by title

From: Juri Linkov <[email-masked]>
Date: Wed, 13 Oct 2021 19:28:38 +0300

>> I don't know.  I assume people who use a graphical browser generally
>> have more tabs open than I do (I have an addon in my firefox limiting
>> the number of tabs to 15 by killing LRU tabs), but I don't know how
>> many eww users use eww as their main browser and how many have
>> migrated from graphical browsers to eww.
>
> I think in that case, perhaps it would make more sense to just rename
> the eww buffer to have the title in the buffer name?  Then the normal
> buffer switching commands would work automatically.

In Info, forking commands (such as 'Info-follow-nearest-node FORK')
create a new buffer with the Info node name in its buffer name, e.g.
*info-TITLE*.  So instead of current *eww*<2>, eww could use the same
format *eww-TITLE*, or uniquify-like angle brackets *eww<TITLE>*.